

# GetIndexingConfiguration


Gets the indexing configuration.

Requires permission to access the [GetIndexingConfiguration](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax


```
GET /indexing/config HTTP/1.1
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "thingGroupIndexingConfiguration": { 
      "customFields": [ 
         { 
            "name": "string",
            "type": "string"
         }
      ],
      "managedFields": [ 
         { 
            "name": "string",
            "type": "string"
         }
      ],
      "thingGroupIndexingMode": "string"
   },
   "thingIndexingConfiguration": { 
      "customFields": [ 
         { 
            "name": "string",
            "type": "string"
         }
      ],
      "deviceDefenderIndexingMode": "string",
      "filter": { 
         "geoLocations": [ 
            { 
               "name": "string",
               "order": "string"
            }
         ],
         "namedShadowNames": [ "string" ]
      },
      "managedFields": [ 
         { 
            "name": "string",
            "type": "string"
         }
      ],
      "namedShadowIndexingMode": "string",
      "thingConnectivityIndexingMode": "string",
      "thingIndexingMode": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [thingGroupIndexingConfiguration](#API_GetIndexingConfiguration_ResponseSyntax) **   <a name="iot-GetIndexingConfiguration-response-thingGroupIndexingConfiguration"></a>
The index configuration.  
Type: [ThingGroupIndexingConfiguration](API_ThingGroupIndexingConfiguration.md) object

 ** [thingIndexingConfiguration](#API_GetIndexingConfiguration_ResponseSyntax) **   <a name="iot-GetIndexingConfiguration-response-thingIndexingConfiguration"></a>
Thing indexing configuration.  
Type: [ThingIndexingConfiguration](API_ThingIndexingConfiguration.md) object

## Errors


 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/GetIndexingConfiguration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/GetIndexingConfiguration) 